- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Static Public Member Functions

# PulseSupport Class Reference

Search for all occurrences

## Detailed Description

Definition at line 38 of file pulsesupport.h.

`#include <pulsesupport.h>`

Inheritance diagram for PulseSupport:
[legend]

List of all members.

## Signals
void | objectDescriptionChanged (ObjectDescriptionType)
void | usingDevice (QString streamUuid, int device)
## Public Member Functions
bool | isActive ()
void | enable (bool enabled=true)
QList< int > | objectDescriptionIndexes (ObjectDescriptionType type) const
QHash< QByteArray, QVariant > | objectDescriptionProperties (ObjectDescriptionType type, int index) const
QList< int > | objectIndexesByCategory (ObjectDescriptionType type, Category category) const
void | setOutputDevicePriorityForCategory (Category category, QList< int > order)
void | setCaptureDevicePriorityForCategory (Category category, QList< int > order)
void | setStreamPropList (Category category, QString streamUuid)
void | emitObjectDescriptionChanged (ObjectDescriptionType)
void | emitUsingDevice (QString streamUuid, int device)
bool | setOutputDevice (QString streamUuid, int device)
bool | setCaptureDevice (QString streamUuid, int device)
void | clearStreamCache (QString streamUuid)
## Static Public Member Functions
static PulseSupport * | getInstance ()
static void | shutdown ()

## Member Function Documentation

static PulseSupport* getInstance | ( |  | ) | `[static]`

Search for all occurrences

static void shutdown | ( |  | ) | `[static]`

Search for all occurrences

bool isActive | ( |  | ) |

Search for all occurrences

void enable | ( | bool | enabled = `true` | ) |

Search for all occurrences

QList<int> objectDescriptionIndexes | ( | ObjectDescriptionType | type | ) | const

Search for all occurrences

QHash<QByteArray, QVariant> objectDescriptionProperties | ( | ObjectDescriptionType | type,
|  | int | index
| ) |  | const

Search for all occurrences

QList<int> objectIndexesByCategory | ( | ObjectDescriptionType | type,
|  | Category | category
| ) |  | const

Search for all occurrences

void setOutputDevicePriorityForCategory | ( | Category | category,
|  | QList< int > | order
| ) |  |

Search for all occurrences

void setCaptureDevicePriorityForCategory | ( | Category | category,
|  | QList< int > | order
| ) |  |

Search for all occurrences

void setStreamPropList | ( | Category | category,
|  | QString | streamUuid
| ) |  |

Search for all occurrences

void emitObjectDescriptionChanged | ( | ObjectDescriptionType |  | ) |

Search for all occurrences

void emitUsingDevice | ( | QString | streamUuid,
|  | int | device
| ) |  |

Search for all occurrences

bool setOutputDevice | ( | QString | streamUuid,
|  | int | device
| ) |  |

Search for all occurrences

bool setCaptureDevice | ( | QString | streamUuid,
|  | int | device
| ) |  |

Search for all occurrences

void clearStreamCache | ( | QString | streamUuid | ) |

Search for all occurrences

void objectDescriptionChanged | ( | ObjectDescriptionType |  | ) | `[signal]`

Search for all occurrences

void usingDevice | ( | QString | streamUuid,
|  | int | device
| ) |  | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- phonon/pulsesupport.h

PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport
PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport PulseSupport